Page MenuHomePhabricator

Convert Special:WhoIsWatching to OOUI
Closed, ResolvedPublic

Description

Special:WhoIsWatching

Before:
and After:

Special:WhoIsWatching/Page

With no action

Before:
and After:

With remove action

Before:
and After:

With invalid action

Before:
and After:

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptApr 3 2018, 8:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jayprakash12345 triaged this task as Normal priority.Apr 3 2018, 8:52 PM
Jayprakash12345 moved this task from Unsorted to Conversion to OOUI on the UI-Standardization board.

Change 423788 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/WhoIsWatching@master] Partial Convert Special:WhoIsWatching to OOUI

https://gerrit.wikimedia.org/r/423788

Change 423878 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/WhoIsWatching@master] Convert Special:WhoIsWatching/Page to OOUI

https://gerrit.wikimedia.org/r/423878

@Volker_E Sir Can you check new Image (Special:WhoIsWatching/Page) ?

Volker_E added a comment.EditedApr 6 2018, 8:55 PM

@Jayprakash12345 Here we've got an issue with two primary (styled) actions – “Add user” and “Remove user” in one view.
The guideline is to provide only one primary action to users in a view. Not familiar enough with this extension though to clearly state what the primary use case in /Page and remove is and how to improve it.
Also as a side note, “Remove user” should be some kind of destructive style action.

Change 423878 merged by jenkins-bot:
[mediawiki/extensions/WhoIsWatching@master] Convert Special:WhoIsWatching/Page to OOUI

https://gerrit.wikimedia.org/r/423878

Jayprakash12345 closed this task as Resolved.Apr 12 2018, 6:41 PM
Jayprakash12345 removed a project: Patch-For-Review.
Jayprakash12345 removed a subscriber: gerritbot.

Change 423788 merged by jenkins-bot:
[mediawiki/extensions/WhoIsWatching@master] Partial Convert Special:WhoIsWatching to OOUI

https://gerrit.wikimedia.org/r/423788